#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'doc.lembar_data_pemilihan'} (LDP)
#{/set}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'doc.home'}</a></li>
#{if pl.lls_status.draft}
    <li><a href="@{nonlelang.PaketPlCtr.index()}">&{'doc.daftar_paket'} </a></li>
    <li><a href="@{nonlelang.PengadaanLCtr.edit(pl.lls_id)}">&{'doc.edit_paket'}</a></li>
#{/if}
#{else}
    <li><a href="@{nonlelang.PengadaanLCtr.view(pl.lls_id)}">&{'doc.info_paket'}</a></li>
#{/else}
    <li class="active">&{'doc.lembar_data_pemilihan'} (LDP)</li>
</ol>
<div class="content">
<div class="bs-callout bs-callout-info">
     &{'doc.lembar_mengacu_standar'}
</div>
#{alert /}
#{form @nonlelang.DokumenPlCtr.ldpSubmit(pl?.lls_id), id:'form-ldp', 'data-alert':'true'}
<table class="table table-sm">
<tr>
	<th colspan="2">&{'doc.lingkup_pekerjaan'} </th>
</tr>
<tr>
	<td width="300">&{'doc.nama_pejabat'}</td>
	<td><em>${pp?.pegawai?.peg_nama}</em></td>
</tr>
<tr>
	<td>&{'doc.alamat_pejabat'}</td>
	<td>${pp?.pegawai?.peg_alamat}</td>
</tr>
<tr>
	<td><em>&{'doc.website'}</em></td>
	<td>${server}</td>
</tr>
<tr>
	<td>&{'doc.nama_paket_pekerjaan'}</td>
	<td>${paket.pkt_nama}</td>
</tr>
<tr>
	<td>&{'doc.uraian_singkat_pekerjaan'}</td>
	<td><textarea type="text" name="ldpcontent.lingkup_pekerjaan" class="form-control" rows="3" #{if !editable} disabled #{/if} >${ldpcontent?.lingkup_pekerjaan}</textarea>
    <span class="form-text"><em>diisi dengan uraian secara singkat dan jelas pekerjaan/kegiatan yang dilaksanakan</em></span></td>
</tr>
<tr>
	<td>&{'doc.jangka_penyelesaian'}</td>
	<td><div class="form-inline">
    <input type="text" name="ldpcontent.jangka_waktu_penyelesaian" class="form-control" value="${ldpcontent?.jangka_waktu_penyelesaian}" onkeypress="return isNumberKey(event)" style="width:80px;" #{if !editable} disabled #{/if}/> hari kalender.
    <span class="form-text"><em>diisi waktu yang diperlukan untuk menyelesaikan pekerjaan</em></span>
    </div></td>
</tr>
<tr>
  <th colspan="2" ><strong>&{'doc.jenis_kontrak'}</strong></th>
</tr>
<tr>
  <td colspan="2" >&{'doc.jenis_kontrak_berdasarkan'}</td>
</tr>
<tr>
  <td>&{'doc.cara_pembayaran'}</td>
  <td>#{selectKontrakPembayaran 'ldpcontent.kontrak_pembayaran', disabled:!editable, value:ldpcontent?.kontrak_pembayaran /}</td>
</tr>
<tr>
	<th colspan="2">&{'doc.sumber_dana'}</th>
</tr>
<tr>
    <td colspan="2">P&{'doc.dibiayai_oleh'} (${paket?.sumberDana}) &{'doc.tahun_anggaran'} (${paket?.tahunAnggaran})</td>
</tr>
<tr>
    <td>Pembayaran dilakukan dengan cara <span class="error">*</span></td>
    <td>
        <select name="ldpcontent.cara_pembayaran" class="form-control" #{if !editable} disabled #{/if} style="width: 150px">
        <option value="">-</option>
        <option value="Bulanan" #{if ldpcontent.cara_pembayaran.equals("Bulanan")}selected#{/if}>&{'doc.bulanan'}</option>
        <option value="Termijn" #{if ldpcontent.cara_pembayaran.equals("Termijn")}selected#{/if}>&{'doc.terminjn'}</option>
        <option value="Sekaligus" #{if ldpcontent.cara_pembayaran.equals("Sekaligus")}selected#{/if}>&{'doc.sekaligus'}</option>
        </select>
    </td>
</tr>


#{if kategori.konsultansi || kategori.jkKonstruksi || kategori.konsultansiPerorangan}
<tr>
	<th colspan="2">&{'doc.mata_uang'}</th>
</tr>
<tr>
  <td>&{'doc.mata_uang_digunakan'}</td>
  <td><input type="text" name="ldpcontent.matauang" class="form-control"  value="${ldpcontent?.matauang}" required #{if !editable} disabled #{/if}/>
  <span class="form-text"><em>diisi Rupiah atau mata uang lainnya apabila dilaksanakan diluar negeri</em></span></td>
</tr>
<tr>
	<td>&{'doc.cara_bayar'}</td>
    <td><input type="text" name="ldpcontent.cara_pembayaran" class="form-control"  value="${ldpcontent?.cara_pembayaran}" required #{if !editable} disabled #{/if}/>
    <span class="form-text"><em>diisi pembayarannya dilaksanakan secara: bulanan, berdasarkan tahapan penyelesaian pekerjaan (termin), atau secara sekaligus</em></span> </td>
</tr>
#{/if}

<tr>
	<th colspan="2">MASA BERLAKU PENAWARAN #{if kategori.konsultansi || kategori.jkKonstruksi || kategori.konsultansiPerorangan}DAN JANGKA WAKTU PELAKSANAAN#{/if}</th>
</tr>
<tr>
	<td>&{'doc.masa_berlaku_selama'}</td>
	<td><div class="form-inline">
		<input type="number" min="0" onkeypress="return isNumberKey(event)" name="ldpcontent.masa_berlaku_penawaran" class="form-control" style="width:80px;" value="${ldpcontent?.masa_berlaku_penawaran}" required #{if !editable} disabled #{/if}/> 
		hari kalender#{if kategori.konsultansi || kategori.jkKonstruksi || kategori.konsultansiPerorangan} sejak batas akhir waktu pemasukan penawaran#{/if}.
        #{if kategori.barang || kategori.jasaLainnya}
		<span class="form-text"><em>diisi waktu yang diperlukan untuk proses Pengadaan Langsung sampai dengan penandatanganan SPK</em></span>
        #{/if}
        #{elseif kategori.konsultansi || kategori.jkKonstruksi || kategori.jasaLainnya}
        <span class="form-text"><em>diisi dengan memperhitungkan awal pemasukan penawaran sampai dengan penandatanganan kontrak</em></span>
        #{/elseif}
		</div>	</td>
</tr>
#{if kategori.konsultansi || kategori.jkKonstruksi || kategori.konsultansiPerorangan}
<tr>
	<td>&{'doc.jangka_pelaksanaan_pekerjaan'}</td>
    <td><div class="form-inline">
    <input type="number" name="ldpcontent.jangka_waktu_pelaksanaan" class="form-control" style="width:80px;" value="${ldpcontent?.jangka_waktu_pelaksanaan}" required #{if !editable} disabled #{/if}/> hari kalender sejak <input type="text" name="ldpcontent.batas_waktu_pelaksanaan" class="form-control" value="${ldpcontent?.batas_waktu_pelaksanaan}" style="width:200px;" required #{if !editable} disabled #{/if}/>
     <span class="form-text"><em>diisi "penandatanganan Kontrak" atau "SPMK"</em></span>
    </div></td>
</tr>

<tr>
	<th colspan="2">&{'doc.evaluasi_teknis'}</th>
</tr>
<tr>
	<td colspan="2">&{'doc.bobot_unsur'}</td>
</tr>
<tr>
	<td colspan="2"> <div class="col-lg-10">
                        <textarea name="ldpcontent.evaluasiTeknis" class="form-control trumbowyg #{validate 'ldpcontent.evaluasiTeknis'/}" rows="12">${ldpcontent?.evaluasiTeknis}</textarea>
                        <div class="invalid-feedback">#{error 'ldpcontent.evaluasiTeknis' /}</div></div></td>
</tr>
<tr>
	<th colspan="2">&{'doc.unit_biaya_personil'}</th>
</tr>
<tr>
	<td colspan="2">&{'doc.unit_biaya_personil_berdasarkan'}</td>
</tr>
<tr>
  <td>&{'doc.satu_bulan'}</td>
  <td><div class="form-inline">
  	<input type="number" onkeypress="return isNumberKey(event)" min="0" name="ldpcontent.biaya_personil_bulan" class="form-control" style="width:80px;" value="${ldpcontent?.biaya_personil_bulan}" required #{if !editable} disabled #{/if}/> hari kerja
  </div></td>
</tr>
<tr>
	<td>&{'doc.satu_hari'}</td>
    <td><div class="form-inline">
  	<input type="number" onkeypress="return isNumberKey(event)" min="0" name="ldpcontent.biaya_personil_hari" class="form-control" style="width:80px;" value="${ldpcontent?.biaya_personil_hari}" required #{if !editable} disabled #{/if}/>
        &{'doc.jam_kerja'}
  </div></td>
</tr>
#{/if}

#{if kategori.barang || kategori.jasaLainnya || kategori.konstruksi}
<tr>
	<th colspan="2"><strong>&{'doc.dokumen_penawaran'}</strong></th>
</tr>
<tr>
	<td>&{'doc.bagian_pekerjaan'}</td>
	<td><input type="text" name="ldpcontent.dok_penawaran" class="form-control" placeholder="-" value="${ldpcontent?.dok_penawaran}" #{if !editable} disabled #{/if}/>
    	#{if kategori.konstruksi}
        	<span class="form-text"><em>diisi, dalam hal apabila ada bagian pekerjaan yang disubkontrakkan dan bagian pekerjaan yang akan disubkontrakkan bukan pekerjaan utama, kecuali pekerjaan spesialis</em></span>
        #{/if}
        #{else}
        	<span class="form-text"><em>diisi, apabila ada bagian pekerjaan yang disubkontrakkan kepada penyedia spesialis </em></span>
        #{/else}        
        </td>
</tr>
<tr>
  <th colspan="2">&{'doc.syarat_penyedia'}</th>
</tr>
<tr>
  <td>&{'doc.memiliki_izin_usaha'}</td>
  <td><input type="text" name="ldpcontent.syarat_penyedia" class="form-control" value="${ldpcontent?.syarat_penyedia}" #{if !editable} disabled #{/if}/>
        <span class="form-text"><em>diisi sesuai bidang paket pekerjaan</em></span></td>
</tr>
#{/if}

<tr>
	<td colspan="2"><strong>&{'doc.ketentuan_lainnya'}</strong></td>
</tr>
<tr>
	<td>&{'doc.ketentuan_tambahan_lainnya'}</td>
    <td><textarea name="ldpcontent.ketentuan_lain" rows="6" cols="30" class="form-control" #{if !editable} disabled #{/if}>${ldpcontent?.ketentuan_lain}</textarea></td>
</tr>
</table>
<!-- notes -->
<!-- isian LDP barang = jasa lainnya -->
#{if editable} #{saveButton /} #{/if}
#{if adendum}  #{backButton action:@nonlelang.PengadaanLCtr.view(pl.lls_id) /} #{/if}  
#{else} #{backButton action:@nonlelang.PengadaanLCtr.edit(pl.lls_id) /} #{/else} 
#{/form}
</div>

#{set 'css_custom' }
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>

#{if !pl.metodePemilihan.pl}
#{if kategori.konsultansi || kategori.jkKonstruksi || kategori.konsultansiPerorangan}
<script type="text/javascript" src="#{assets '/js/evaluasi_teknis.js'/}"></script>
#{/if}
<script>

    //validasi sub unsur pengalaman perushaan
        #{if !kategori.konsultansiPerorangan}
        $("[name=simpan]").click(function(){
            var totalSubUnsurPengalamanPerushaan = hitungSubUnsurPengalamanPerushaan();
            if (totalSubUnsurPengalamanPerushaan > 100) {
                window.scrollTo(0, 1050);
                $("#errmsg_1").html("* Total nilai Sub unsur pengalaman perusahaan lebih dari 100.").show();
                return false;
            } else if (totalSubUnsurPengalamanPerushaan < 100) {
                window.scrollTo(0, 1050);
                $("#errmsg_1").html("* Total nilai Sub unsur pengalaman perusahaan kurang dari 100.").show();
                return false;
            }
        });
        #{/if}

</script>
#{/if}
#{if !evaluasi}
<script type="text/javascript">
    $( document ).ready(function() {
        $("#errmsgBobotTeknis, #errmsgBobotHarga").hide();
    });
    $("[name='ldpcontent.ambang_batas'], [name='ldpcontent.bobot_teknis'], [name='ldpcontent.bobot_harga']").keypress(function (e) {
        if ((e.which != 45 || $(element).val().indexOf('-') != -1) &&
                (e.which != 46 || $(element).val().indexOf('.') != -1) &&
                (e.which < 48 || e.which > 57)) {
            return false;
        }
    });

    $("[name=simpan]").click(function(){
        var ldpBobotTeknis = $("[name='ldpcontent.bobot_teknis']").val();
        var ldpBobotHarga = $("[name='ldpcontent.bobot_harga']").val();

        if (parseFloat(ldpBobotTeknis) > 100){
            $("#errmsgBobotTeknis").html("* Bobot Teknis tidak boleh lebih dari 100").show();
            $("[name='ldpcontent.bobot_teknis']").focus();
            return false;
        }

        if (parseFloat(ldpBobotHarga) > 100){
            $("#errmsgBobotHarga").html("* Bobot Harga tidak boleh lebih dari 100").show();
            $("[name='ldpcontent.bobot_harga']").focus();
            return false;
        }

    });
</script>
#{/if}
#{/set}